/**
 * Figure
 */
figure.pull-left,
figure.pull-right,
figure.pull-none {
	margin-bottom: var(--line-height);
}

figure.pull-left {
	float: left;
	margin-left: 0;
	margin-right: var(--line-height);
	max-width: 50%;
}

figure.pull-right {
	float: right;
	margin-right: 0;
	margin-left: var(--line-height);
	max-width: 50%;
}

figure.pull-none {
	display: block;
	float: none;
	margin-left: auto;
	margin-right: auto;
	text-align: center;
	clear: both;
}

figure > figcaption {
	display: block;
}

@media screen and (max-width: 480px) {
	figure.pull-left,
	figure.pull-right {
		display: block;
		float: none;
		max-width: 100%;
		margin-right: 0;
		margin-left: 0;
	}
}

.figure {
	margin-bottom: 0;
	position: relative;
	overflow: hidden;
	background: var(--color-black);
}

.figure__image {
	opacity: 1;
	transition: all .6s ease;
	transform: scale(1);
}

.page__link:hover .figure__image ,
.page__link:focus .figure__image {
	opacity: 0.6;
	transform: scale(1.14);
}

.figure__zoom {
	position: absolute;
	top: 50%;
	left: 50%;
	opacity: 0;
	display: block;
	width: 100px;
	height: 100px;
	line-height: 100px;
	text-align: center;
	z-index: 4;
	background-color: var(--color-white-0);
	border-radius: 100%;
	border: 1px solid var(--color-light);
	transition: all var(--ease-base);
	transform: translateX(-50%) translateY(-50%);
	backdrop-filter: blur(4px);
}

.figure__zoom:hover {
	background: var(--color-link);
}

.figure__zoom::before {
	content: "\2192";
	color: var(--color-white);
}

.page__link:hover .figure__zoom,
.page__link:focus .figure__zoom {
	opacity: 1;
}

.figure__mask {
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	z-index: 1;
}

.mask-15 { background-color: var(--image-mask-15); }
.mask-30 { background-color: var(--image-mask-30); }
.mask-50 { background-color: var(--image-mask-50); }


.figure__mask::before,
.figure__mask::after {
	content: "";
	position: absolute;
	left: 0;
	height: 50%;
	width: 100%;
	display: block;
	background-color: var(--image-mask-0);
}

.figure__mask::before { top: 0; }
.figure__mask::after { bottom: 0; }

.mask-top-15::before { background-image: var(--image-mask-top-15); }
.mask-top-30::before { background-image: var(--image-mask-top-30); }
.mask-top-50::before { background-image: var(--image-mask-top-50); }


.mask-bottom-15::after { background-image: var(--image-mask-bottom-15); }
.mask-bottom-30::after { background-image: var(--image-mask-bottom-30); }
.mask-bottom-50::after { background-image: var(--image-mask-bottom-50); }
.mask-bottom-100::after { background-image: var(--image-mask-bottom-100); height: 70%; }

.figure__content {
	position: absolute;
	bottom: 50px;
	left: 50%;
	width: 70%;
	z-index: 2;
	text-align: center;
	color: var(--color-white);
	transform: translateX(-50%);
}

@media screen and (max-width: 480px) {
	.figure__content {
		bottom: 30px;
	}	
}

.figure__content-middle {
	bottom: auto;
	top: 50%;
	left: 50%;
	transform: translateX(-50%) translateY(-50%);
}

.figure__content-bottom-left {
	left: 30px;
	text-align: left;
}

.figure__title {
	padding-top: 20px;
	position: relative;
	margin: 0;
	color: var(--color-white);
}

.figure__title::before {
	content: "";
	display: block;
	width: 30px;
	height: 1px;
	margin: 20px auto;
	background-color: var(--color-accent-light);
	transition: width var(--ease-base);
}

.page__link:hover .figure__title::before {
	width: 60px;
}

.figure__description {
	margin: 0;
	color: var(--color-white);
}

.figure__button {
	margin-top: 15px;
	display: grid;
	grid-auto-flow: column;
	align-items: center;
	justify-content: center;
	color: var(--color-white);
}

.figure__content-bottom-left .figure__button {
	justify-content: start;	
}

.figure__button-text {
	padding-right: 10px;
	font-size: var(--button-font-size);
	font-family: var(--button-font-family);
	font-weight: var(--button-font-weight);
	text-transform: var(--button-text-transform);
	letter-spacing: var(--button-letter-spacing);
	transition: padding var(--ease-base);
}

.page__link:hover .figure__button-text {
	padding-right: 10px;
}

.figure__button-icon {
	display: grid;
	align-items: center;
	justify-content: center;
	width: 40px;
	height: 40px;
	border-radius: 100%;
	border: 2px solid var(--color-accent-light);
	transition: all var(--ease-base);
}

.figure__button-icon svg {
	width: 20px;
}

.page__link:hover .figure__button-icon {
	color: var(--color-dark);
	background-color: var(--color-white);
	border-color: var(--color-white-0);
}